
Redmine - Feature #12167

Macro for inserting collapsible block of text

2012-10-20 16:17 - Jean-Philippe Lang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.2.0   

Resolution: Fixed   

Description

Introduce a new bultin macro that lets insert a block of text, which is hidden by default and can be displayed by clicking a link.

{{collapse 

 

[A block of text here] 

 

 

}}

 Or with specific text for the Show/Hide link:

{{collapse(Show example,Hide example) 

 

[A block of text here] 

 

 

}}

Related issues:

Has duplicate Redmine - Feature #3870: Add "spoiler" or "cut" element to wiki... Closed 2009-09-15

Associated revisions

Revision 10680 - 2012-10-20 16:49 - Jean-Philippe Lang

Adds a macro for inserting collapsed text (#12167).

Revision 10681 - 2012-10-20 17:01 - Jean-Philippe Lang

Filling locales (#12167).

History

#1 - 2012-10-20 16:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 2.2.0

- Resolution set to Fixed

Added in r10680.

#2 - 2012-12-06 14:56 - #  And

Thanks for great ability!

What about icon in html editor? It necessary for non-programmers - they are didn't know about the syntax.

#3 - 2015-01-25 00:02 - Enver Ablyaev

Thank you for great feature! Very useful!

#4 - 2016-01-18 13:32 - Go MAEDA

- Has duplicate Feature #3870: Add "spoiler" or "cut" element to wiki markup added

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/10680
http://www.tcpdf.org

